#include <SPI.h>

#include "PinAssign.h"
#include "OLED1331.h"
#include "SDCARD.h"
#include "IMAGEDATA.h"

#include "Bitmap.h"
#include "Bitmap2.h"
#include "font8x16.h"

OLED1331 oled ;
SDCARD sdCard ;

static int FileNameNum = 3 ;
static char *FileNameList[]= {
  "/0004.jpg",
  "/0005.jpg",
  "/0006.jpg",
} ;

int dispFileNo = 0 ;
IMAGEDATA imageData ;

void setup() {
    Serial.begin(115200);

    sdCard.init( ) ;
#if DEBUG
    sdCard.fileList( ) ;
    delay(1000) ;
#endif

    oled.init( ) ;
    delay(1000) ;
}

void loop() {
    // ----- BITMAP -----
    oled.drowBitMap(0, 0, 96, 64, bitmapData2) ;
    delay(5000) ;

    // ----- SD CARD1 -----
#if DEBUG
    Serial.println("loop - SD CARD");
#endif
    sdCard.LoadImage(FileNameList[dispFileNo],&imageData) ;
    dispFileNo = (dispFileNo + 1) % FileNameNum ;
#if DEBUG
    Serial.printf("Image Size=　%dx%d\r\n",imageData.getWidth(),imageData.getHight());
#endif
    oled.drowBitMap(&imageData) ;
    delay(3000) ;

    // ----- SD CARD2 -----
    char fileName[16] ;
    for (int i=0;i<51*4;i++) {
        sprintf(fileName,"/Yosi/%02d.jpg",i%51) ;
        sdCard.LoadImage(fileName,&imageData) ;
        oled.drowBitMap(&imageData) ;
    }
    delay(1000) ;

//
//    // ----- LINE -----
//    oled.cls(0x3E3E3E) ;
//    for (int i = 0; i < 8; i++) {
//      oled.drowLine(0,i * 8,(i + 1) * 12,63,0x3E0000) ;
//    }
//    for (int i = 0; i < 8; i++) {
//      oled.drowLine( (i + 1) * 12 , 63, 95, (7 - i) * 8 ,0x003E00) ;
//    }
//    for (int i = 0; i < 8; i++) {
//      oled.drowLine(95, (7 - i) * 8, (7 - i) * 12 ,  0 ,0x00003E) ;
//    }
//    for (int i = 0; i < 8; i++) {
//      oled.drowLine((7 - i) * 12,  0,  0, (i + 1) * 8 ,0x000000) ;
//    }
//    delay(3000) ;
//  
//    // ----- CLEAR WINDOW -----
//    oled.cls( ) ;
//  
//    // ----- TEXT -----
//    oled.drowStr("ABCDEFGHIJ",0,0,0XFFCF,0x0000) ;
//    oled.drowStr("0123456789",0,16,0x07E0,0x0000) ;
//    oled.drowStr("ABCDEFGHIJ",0,32,0x001F,0x0000) ;
//    oled.drowStr("0123456789",0,48,0xF800,0x0000) ;
//    delay(3000) ;

}
