/*
 * SSD1331にビットマップイメージを表示
 * 
 */
#ifndef OLED1331_H
#define OLED1331_H
#include <arduino.h>

#include "IMAGEDATA.h"

#define OLED_SSD1331_WIDTH 96  // OLEDの幅(ピクセル数)
#define OLED_SSD1331_HIGHT 64  // OLEDの高さ(ピクセル数)

class OLED1331
{
  public:
    void init(); // 初期化
    void oldSelect( ) ;
    void cls(); // 画面クリア
    void cls(uint32_t color); // 画面クリア
    void drowBitMap(IMAGEDATA *imageData);
    void drowBitMap(int offsetX , int offsetY , int width, int hight, uint8_t bitMap[]);
    void drowLine(int xs,int ys,int xe,int ye,uint32_t color) ;
    void drowStr(char str[] , uint8_t x , uint8_t y,uint16_t fontColor=0xFFCF,uint16_t bgColor=0x0000) ;
    void drowFont(uint8_t code , uint8_t x, uint8_t y,uint16_t fontColor=0xFFCF,uint16_t bgColor=0x0000) ;

  protected:
    void oledSendCommand(uint8_t command);
    void oledSendCommand2(uint8_t command1, uint8_t command2);
    void oledSendCommand3(uint8_t command1, uint8_t command2, uint8_t command3) ;
    void oledSendCommands(int commandLen, uint8_t commands[]);
} ;
#endif
